### Project Euler 155 Counting Capacitor Circuits

It was very complicated and hard problem when I saw this problem for the first time.

at that time I thought I could not solve this one.

and actually gave up to solve it. because I can't come up with any idea and Algorithm.

after one year from that time with algorithm study.

I have confidence and retry to solve it.

I got an answer of that problem.

Hint is dynamic problem and bruteforce and hashset

that is all

If you have more detail of it reply plz~

https://projecteuler.net/problem=155

whereas when connecting them in series, the overall capacitance is given by:

at that time I thought I could not solve this one.

and actually gave up to solve it. because I can't come up with any idea and Algorithm.

after one year from that time with algorithm study.

I have confidence and retry to solve it.

I got an answer of that problem.

Hint is dynamic problem and bruteforce and hashset

that is all

If you have more detail of it reply plz~

https://projecteuler.net/problem=155

An electric circuit uses exclusively identical capacitors of the same value C.

The capacitors can be connected in series or in parallel to form sub-units, which can then be connected in series or in parallel with other capacitors or other sub-units to form larger sub-units, and so on up to a final circuit.

The capacitors can be connected in series or in parallel to form sub-units, which can then be connected in series or in parallel with other capacitors or other sub-units to form larger sub-units, and so on up to a final circuit.

Using this simple procedure and up to

`n`identical capacitors, we can make circuits having a range of different total capacitances. For example, using up to`n`=3 capacitors of 60 F each, we can obtain the following 7 distinct total capacitance values:
If we denote by

`D`(`n`) the number of distinct total capacitance values we can obtain when using up to`n`equal-valued capacitors and the simple procedure described above, we have:`D`(1)=1,`D`(2)=3,`D`(3)=7 ...
Find

`D`(18).*Reminder :*When connecting capacitors C

_{1}, C

_{2}etc in parallel, the total capacitance is C

_{T}= C

_{1}+ C

_{2}+...,

whereas when connecting them in series, the overall capacitance is given by:

## Comments

## Post a Comment